# Synthetics

## Synthetics

> Returns of all synthetics

```json
{"openapi":"3.1.1","info":{"title":"API Insights","version":"1.0"},"servers":[{"url":"https://apis.elven.works"}],"paths":{"/{orgUid}/synthetics/v1":{"get":{"description":"Returns of all synthetics","parameters":[{"schema":{"type":"string"},"description":"orgID (UUID)","in":"path","name":"orgUid","required":true},{"schema":{"type":"integer","format":"int64"},"description":"EnvironmentID","in":"query","name":"environmentId"},{"schema":{"type":"boolean"},"description":"Activated","in":"query","name":"activated"},{"schema":{"type":"string"},"description":"Token authentication","in":"query","name":"token","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object"}}}}},"summary":"Synthetics","tags":["Synthetics"]}}}}
```

## Synthetics

> Create synthetics

```json
{"openapi":"3.1.1","info":{"title":"API Insights","version":"1.0"},"servers":[{"url":"https://apis.elven.works"}],"paths":{"/{orgUid}/synthetics/v1":{"post":{"description":"Create synthetics","parameters":[{"schema":{"type":"string"},"description":"orgID (UUID)","in":"path","name":"orgUid","required":true},{"schema":{"type":"string"},"description":"Token authentication","in":"query","name":"token","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object"}}}}},"summary":"Synthetics","tags":["Synthetics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/types.MultiFlowInputDocs"}}},"description":"steps","required":true}}}},"components":{"schemas":{"types.MultiFlowInputDocs":{"properties":{"activated":{"type":"boolean"},"environment_id":{"type":"integer"},"interval":{"type":"integer"},"name":{"type":"string"},"org_uid":{"type":"string"},"origin":{"$ref":"#/components/schemas/entity.Origin"},"steps":{"items":{"$ref":"#/components/schemas/types.Step"},"type":"array"},"uid":{"type":"string"}},"required":["environment_id","interval","name","org_uid","origin","steps"],"type":"object"},"entity.Origin":{"enum":["agent","pool"],"type":"string"},"types.Step":{"properties":{"assertions":{"items":{"$ref":"#/components/schemas/types.AssertionInput"},"type":"array"},"domain":{"type":"string"},"domain_settings":{"additionalProperties":true,"type":"object"},"method":{"type":"string"},"name":{"type":"string"},"step":{"type":"integer"},"timeout":{"type":"integer"},"type":{"type":"string"}},"required":["domain","method","name","step","timeout","type"],"type":"object"},"types.AssertionInput":{"properties":{"comparison":{"type":"string"},"order":{"type":"integer"},"property":{"type":"string"},"source":{"type":"string"},"target_value":{"type":"string"}},"required":["comparison","order","source"],"type":"object"}}}}
```

## Synthetics

> Returns Synthetics

```json
{"openapi":"3.1.1","info":{"title":"API Insights","version":"1.0"},"servers":[{"url":"https://apis.elven.works"}],"paths":{"/{orgUid}/synthetics/v1":{"put":{"description":"Returns Synthetics","parameters":[{"schema":{"type":"string"},"description":"orgID (UUID)","in":"path","name":"orgUid","required":true},{"schema":{"type":"string"},"description":"Token authentication","in":"query","name":"token","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object"}}}}},"summary":"Synthetics","tags":["Synthetics"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/types.MultiFlowUpdateDocs"}}},"description":"steps","required":true}}}},"components":{"schemas":{"types.MultiFlowUpdateDocs":{"properties":{"environment_id":{"type":"integer"},"id":{"type":"integer"},"interval":{"type":"integer"},"name":{"type":"string"},"org_uid":{"type":"string"},"origin":{"$ref":"#/components/schemas/entity.Origin"},"status":{"type":"string"},"steps":{"items":{"$ref":"#/components/schemas/types.StepUpdate"},"type":"array"},"uid":{"type":"string"}},"required":["environment_id","interval","name","org_uid","origin","steps"],"type":"object"},"entity.Origin":{"enum":["agent","pool"],"type":"string"},"types.StepUpdate":{"properties":{"assertions":{"items":{"$ref":"#/components/schemas/types.AssertionUpdateInput"},"type":"array"},"domain":{"type":"string"},"domain_settings":{"additionalProperties":true,"type":"object"},"id":{"type":"integer"},"method":{"type":"string"},"name":{"type":"string"},"step":{"type":"integer"},"timeout":{"type":"integer"},"type":{"type":"string"}},"required":["domain","method","name","step","timeout","type"],"type":"object"},"types.AssertionUpdateInput":{"properties":{"comparison":{"type":"string"},"id":{"type":"integer"},"order":{"type":"integer"},"property":{"type":"string"},"source":{"type":"string"},"step_id":{"type":"integer"},"target_value":{"type":"string"}},"required":["comparison","id","order","source"],"type":"object"}}}}
```

## Synthetics

> Returns Synthetics by Uid

```json
{"openapi":"3.1.1","info":{"title":"API Insights","version":"1.0"},"servers":[{"url":"https://apis.elven.works"}],"paths":{"/{orgUid}/synthetics/v1/{uid}":{"get":{"description":"Returns Synthetics by Uid","parameters":[{"schema":{"type":"string"},"description":"orgUid","in":"path","name":"orgUid","required":true},{"schema":{"type":"string"},"description":"uid","in":"path","name":"uid","required":true},{"schema":{"type":"string"},"description":"Token authentication","in":"query","name":"token","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object"}}}}},"summary":"Synthetics","tags":["Synthetics"]}}}}
```

## Synthetics

> Delete by uid

```json
{"openapi":"3.1.1","info":{"title":"API Insights","version":"1.0"},"servers":[{"url":"https://apis.elven.works"}],"paths":{"/{orgUid}/synthetics/v1/{uid}":{"delete":{"description":"Delete by uid","parameters":[{"schema":{"type":"string"},"description":"orgID (UUID)","in":"path","name":"orgUid","required":true},{"schema":{"type":"string"},"description":"uid","in":"path","name":"uid","required":true},{"schema":{"type":"string"},"description":"Token authentication","in":"query","name":"token","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object"}}}}},"summary":"Synthetics","tags":["Synthetics"]}}}}
```

## Synthetics

> Returns Synthetics by Env id

```json
{"openapi":"3.1.1","info":{"title":"API Insights","version":"1.0"},"servers":[{"url":"https://apis.elven.works"}],"paths":{"/{orgUid}/synthetics/v1/environments":{"get":{"description":"Returns Synthetics by Env id","parameters":[{"schema":{"type":"string"},"description":"orgID (UUID)","in":"path","name":"orgUid","required":true},{"schema":{"type":"string"},"description":"environmentId","in":"query","name":"environmentId","required":true},{"schema":{"type":"string"},"description":"Token authentication","in":"query","name":"token","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"additionalProperties":{"type":"string"},"type":"object"}}}}},"summary":"Synthetics","tags":["Synthetics"]}}}}
```
